Debian Bug report logs - #582090
ITP: viewnior -- simple, fast and elegant image viewer

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Kan-Ru Chen <koster@debian.org>

Date: Tue, 18 May 2010 09:39:01 UTC

Owned by: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>

Severity: wishlist

Fixed in version viewnior/1.4-1

Done: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Kan-Ru Chen" <koster@debian.org>:
Bug#582090; Package wnpp. (Tue, 18 May 2010 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kan-Ru Chen <koster@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Kan-Ru Chen" <koster@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 18 May 2010 09:39:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kan-Ru Chen <koster@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Date: Tue, 18 May 2010 16:35:19 +0800
Subject: ITP: viewnior -- simple, fast and elegant image viewer
Package: wnpp
Owner: "Kan-Ru Chen" <koster@debian.org>
Severity: wishlist

* Package name    : viewnior
  Version         : 1.0
  Upstream Author : Siyan Panayotov <xsisqox@gmail.com>
* URL             : http://xsisqox.github.com/Viewnior/
* License         : GPLv3
  Programming Lang: C
  Description     : simple, fast and elegant image viewer

This is Viewnior, an image viewer program. Created to be simple, fast
and elegant. It's minimalistic interface provides more screenspace for
your images. Among its features are:

 * Fullscreen & Slideshow
 * Rotate, flip, crop, save, delete images
 * Animation support
 * Browse only selected images
 * Navigation window
 * Set image as wallpaper (only under GNOME)
 * Simple interface
 * Configurable mouse actions

Viewnior is insipred by big projects like Eye of Gnome, because of
it's usability and richness,and by GPicView, because of it's
lightweight design and minimal interface. So here comes Viewnior -
small and light, with no compromise with the quality of it's
functions. The program is made with better integration in mind
(follows Gnome HIG2)

Viewnior is written in C (GTK+) and uses modified version of the
GtkImageView library by Bjourn Lindqvist.


- - Kanru
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvyUTYACgkQsbdbXzZcx6IoOwCgkOMIcK0IZoGL8FxL7MyXytQZ
LN8AnRIQagWUTvllHlG02Nukz27lVXfY
=FuXv
-----END PGP SIGNATURE-----




Changed Bug title to 'ITP: viewnior -- simple, fast and elegant image viewer' from '(no subject)' Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Wed, 19 May 2010 03:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Kan-Ru Chen" <koster@debian.org>:
Bug#582090; Package wnpp. (Sat, 19 Feb 2011 17:40:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Kan-Ru Chen" <koster@debian.org>. (Sat, 19 Feb 2011 17:40:14 GMT) Full text and rfc822 format available.

Message #12 received at 582090@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 582090@bugs.debian.org
Cc: control@bugs.debian.org
Subject: viewnior: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:58 +0000
retitle 582090 RFP: viewnior -- simple, fast and elegant image viewer
noowner 582090
thanks

Hi,

This is an automatic email to change the status of viewnior back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting viewnior, please send a mail to
<control@bugs.debian.org> with:

 retitle 582090 ITP: viewnior -- simple, fast and elegant image viewer
 owner 582090 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <582090@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: viewnior -- simple, fast and elegant image viewer' from 'ITP: viewnior -- simple, fast and elegant image viewer' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:41:31 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Kan-Ru Chen" <koster@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:41:32 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: viewnior -- simple, fast and elegant image viewer' from 'RFP: viewnior -- simple, fast and elegant image viewer' Request was from satish paikrao <sat.paikrao307@gmail.com> to control@bugs.debian.org. (Thu, 07 Apr 2011 20:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#582090; Package wnpp. (Sat, 20 Aug 2011 09:24:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yao Wei (魏銘廷) <mwei@lxde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Aug 2011 09:24:40 GMT) Full text and rfc822 format available.

Message #23 received at 582090@bugs.debian.org (full text, mbox):

From: Yao Wei (魏銘廷) <mwei@lxde.org>
To: 582090@bugs.debian.org, control@bugs.debian.org
Subject: Re: ITP: viewnior -- simple, fast and elegant image viewer
Date: Sat, 20 Aug 2011 17:22:55 +0800
retitle 582090 ITP: viewnior -- simple, fast and elegant image viewer
owner 582090 !
thanks

I am claiming this package because LXDE mailing list is currently
interested in this image viewer.

-- 
Yao Wei




Owner recorded as Yao Wei (魏銘廷) <mwei@lxde.org>. Request was from Yao Wei (魏銘廷) <mwei@lxde.org> to control@bugs.debian.org. (Sat, 20 Aug 2011 09:24:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Sun, 13 Nov 2011 21:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Marsden <jmarsden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Sun, 13 Nov 2011 21:00:10 GMT) Full text and rfc822 format available.

Message #30 received at 582090@bugs.debian.org (full text, mbox):

From: Jonathan Marsden <jmarsden@fastmail.fm>
To: 582090@bugs.debian.org
Subject: ITP: viewnior -- simple, fast and elegant image viewer
Date: Sun, 13 Nov 2011 12:58:10 -0800
Lubuntu is very interested in including Viewnior as its default image
viewer for Lubuntu 12.04.  I am an Lubuntu developer.

I have previous Debian/Ubuntu packaging experience.  I am willing to
package Viewnior for Debian (and so Ubuntu), and in fact I have already
packaged it.  I do not want to "step on someone's toes"; can we work
together, or is it OK for me to continue this work and seek a sponsor to
get this package into Debian?

Thanks,

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Mon, 14 Nov 2011 01:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yao Wei <medicalwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Mon, 14 Nov 2011 01:18:07 GMT) Full text and rfc822 format available.

Message #35 received at 582090@bugs.debian.org (full text, mbox):

From: Yao Wei <medicalwei@gmail.com>
To: Jonathan Marsden <jmarsden@fastmail.fm>, 582090@bugs.debian.org, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Mon, 14 Nov 2011 09:15:56 +0800
[Message part 1 (text/plain, inline)]
It seems nice to have a helper who also wants to get this into debian. However, the package dependency makes it more complex to do so.

It uses a modified version of gtkimageview which is done by the author itself, but the library is needed to be stripped out of viewnior to get into Debian for maintenance reasons, and viewnior's author doesn't like to do so.

Paul Liu (a DD which seems can help us sponsor uploading this package) suggests we should contact gtkimageview author to incorporate the library changes from viewnior, but I don't know the way how should we do, and I am too unconcerntrate on this ITP.

Help me,
Yao Wei

----- 原始郵件 -----
> Lubuntu is very interested in including Viewnior as its default image
> viewer for Lubuntu 12.04.   I am an Lubuntu developer.
> 
> I have previous Debian/Ubuntu packaging experience.   I am willing to
> package Viewnior for Debian (and so Ubuntu), and in fact I have already
> packaged it.   I do not want to "step on someone's toes"; can we work
> together, or is it OK for me to continue this work and seek a sponsor to
> get this package into Debian?
> 
> Thanks,
> 
> Jonathan
> 
> 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Wed, 23 Nov 2011 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Wed, 23 Nov 2011 15:06:04 GMT) Full text and rfc822 format available.

Message #40 received at 582090@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Yao Wei <medicalwei@gmail.com>, 582090@bugs.debian.org
Cc: Jonathan Marsden <jmarsden@fastmail.fm>, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Wed, 23 Nov 2011 16:02:02 +0100
[Message part 1 (text/plain, inline)]
Argh, bad news :(
Do we have an idea of the actual diff between the 2 versions ?
Contacting gtkimageview upstream is a good idea, a backup plan may be to
patch the package in Debian, but it's not a very nice solution :(

Regards,
Julien Lavergne

Le 11/14/2011 02:15 AM, Yao Wei a écrit :
>
> It seems nice to have a helper who also wants to get this into debian.
> However, the package dependency makes it more complex to do so.
>
> It uses a modified version of gtkimageview which is done by the author
> itself, but the library is needed to be stripped out of viewnior to
> get into Debian for maintenance reasons, and viewnior's author doesn't
> like to do so.
>
> Paul Liu (a DD which seems can help us sponsor uploading this package)
> suggests we should contact gtkimageview author to incorporate the
> library changes from viewnior, but I don't know the way how should we
> do, and I am too unconcerntrate on this ITP.
>
> Help me,
> Yao Wei
>
> ----- 原始郵件 -----
> > Lubuntu is very interested in including Viewnior as its default image
> > viewer for Lubuntu 12.04.  I am an Lubuntu developer.
> >
> > I have previous Debian/Ubuntu packaging experience.  I am willing to
> > package Viewnior for Debian (and so Ubuntu), and in fact I have already
> > packaged it.  I do not want to "step on someone's toes"; can we work
> > together, or is it OK for me to continue this work and seek a
> sponsor to
> > get this package into Debian?
> >
> > Thanks,
> >
> > Jonathan
> >
> >
>

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Fri, 25 Nov 2011 04:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Marsden <jmarsden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Fri, 25 Nov 2011 04:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 582090@bugs.debian.org (full text, mbox):

From: Jonathan Marsden <jmarsden@fastmail.fm>
To: Julien Lavergne <julien.lavergne@gmail.com>, 582090@bugs.debian.org
Cc: Yao Wei <medicalwei@gmail.com>, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Thu, 24 Nov 2011 20:13:49 -0800
On 11/23/2011 07:02 AM, Julien Lavergne wrote:

> Argh, bad news :(


Yes, it turns this from a technical issue (package the app, and make
sure it meets packaging standards) into a much more difficult "how to
keep everyone happy" political issue!

> Do we have an idea of the actual diff between the 2 versions ?


I'll see if I can diff this over the coming weekend, unless someone else
does it first :)

> Contacting gtkimageview upstream is a good idea, a backup plan may be
> to patch the package in Debian, but it's not a very nice solution :(


Another backup plan might be to create a "libviewnior" package with the
modified library in it, and then a viewnior package that depends on it
and uses it instead of gtkimageview??  But I don't know if Debian would
like/accept that as an approach.

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Fri, 25 Nov 2011 04:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yao Wei <medicalwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Fri, 25 Nov 2011 04:45:03 GMT) Full text and rfc822 format available.

Message #50 received at 582090@bugs.debian.org (full text, mbox):

From: Yao Wei <medicalwei@gmail.com>
To: Jonathan Marsden <jmarsden@fastmail.fm>, Julien Lavergne <julien.lavergne@gmail.com>, 582090@bugs.debian.org
Cc: 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Fri, 25 Nov 2011 12:41:04 +0800
[Message part 1 (text/plain, inline)]
Actually I did a runable diff in Github: (but some zooming and mouse wheel won't work)

http://github.com/medicalwei/viewnior

----- 原始郵件 -----
> On 11/23/2011 07:02 AM, Julien Lavergne wrote:
> 
> > Argh, bad news :(
> 
> 
> Yes, it turns this from a technical issue (package the app, and make
> sure it meets packaging standards) into a much more difficult "how to
> keep everyone happy" political issue!
> 
> > Do we have an idea of the actual diff between the 2 versions ?
> 
> 
> I'll see if I can diff this over the coming weekend, unless someone else
> does it first :)
> 
> > Contacting gtkimageview upstream is a good idea, a backup plan may be
> > to patch the package in Debian, but it's not a very nice solution :(
> 
> 
> Another backup plan might be to create a "libviewnior" package with the
> modified library in it, and then a viewnior package that depends on it
> and uses it instead of gtkimageview??   But I don't know if Debian would
> like/accept that as an approach.
> 
> Jonathan

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Sun, 27 Nov 2011 10:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Sun, 27 Nov 2011 10:42:20 GMT) Full text and rfc822 format available.

Message #55 received at 582090@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Yao Wei <medicalwei@gmail.com>
Cc: Jonathan Marsden <jmarsden@fastmail.fm>, 582090@bugs.debian.org, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Sun, 27 Nov 2011 11:40:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

I can't see any modifications from the upstream trunk. Did you push the
modifications to github ?

Regards,
Julien Lavergne

Le 11/25/2011 05:41 AM, Yao Wei a écrit :
>
> Actually I did a runable diff in Github: (but some zooming and mouse
> wheel won't work)
>
> http://github.com/medicalwei/viewnior
>
> ----- 原始郵件 -----
> > On 11/23/2011 07:02 AM, Julien Lavergne wrote:
> >
> > > Argh, bad news :(
> >
> >
> > Yes, it turns this from a technical issue (package the app, and make
> > sure it meets packaging standards) into a much more difficult "how to
> > keep everyone happy" political issue!
> >
> > > Do we have an idea of the actual diff between the 2 versions ?
> >
> >
> > I'll see if I can diff this over the coming weekend, unless someone
> else
> > does it first :)
> >
> > > Contacting gtkimageview upstream is a good idea, a backup plan may be
> > > to patch the package in Debian, but it's not a very nice solution :(
> >
> >
> > Another backup plan might be to create a "libviewnior" package with the
> > modified library in it, and then a viewnior package that depends on it
> > and uses it instead of gtkimageview??  But I don't know if Debian would
> > like/accept that as an approach.
> >
> > Jonathan
>

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Sun, 27 Nov 2011 12:19:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yao Wei <medicalwei@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Sun, 27 Nov 2011 12:20:24 GMT) Full text and rfc822 format available.

Message #60 received at 582090@bugs.debian.org (full text, mbox):

From: Yao Wei <medicalwei@gmail.com>
To: Julien Lavergne <julien.lavergne@gmail.com>
Cc: Jonathan Marsden <jmarsden@fastmail.fm>, 582090@bugs.debian.org, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Sun, 27 Nov 2011 19:26:50 +0800
[Message part 1 (text/plain, inline)]
I forgot to mention that my modifications are in "gtkimageview" branch.

https://github.com/medicalwei/Viewnior/tree/gtkimageview

Sorry for your inconvenience.
----- 原始郵件 -----
> Hi,
> 
> I can't see any modifications from the upstream trunk. Did you push the
> modifications to github ?
> 
> Regards,
> Julien Lavergne
> 
> Le 11/25/2011 05:41 AM, Yao Wei a écrit :
> > 
> > Actually I did a runable diff in Github: (but some zooming and mouse
> > wheel won't work)
> > 
> > http://github.com/medicalwei/viewnior
> > 
> > ----- 原始郵件 -----
> > > On 11/23/2011 07:02 AM, Julien Lavergne wrote:
> > > 
> > > > Argh, bad news :(
> > > 
> > > 
> > > Yes, it turns this from a technical issue (package the app, and make
> > > sure it meets packaging standards) into a much more difficult "how to
> > > keep everyone happy" political issue!
> > > 
> > > > Do we have an idea of the actual diff between the 2 versions ?
> > > 
> > > 
> > > I'll see if I can diff this over the coming weekend, unless someone
> > else
> > > does it first :)
> > > 
> > > > Contacting gtkimageview upstream is a good idea, a backup plan may
> > > > be to patch the package in Debian, but it's not a very nice
> > > > solution :(
> > > 
> > > 
> > > Another backup plan might be to create a "libviewnior" package with
> > > the modified library in it, and then a viewnior package that depends
> > > on it and uses it instead of gtkimageview??   But I don't know if
> > > Debian would like/accept that as an approach.
> > > 
> > > Jonathan
> > 
> 

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Mon, 28 Nov 2011 19:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Mon, 28 Nov 2011 19:00:10 GMT) Full text and rfc822 format available.

Message #65 received at 582090@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Yao Wei <medicalwei@gmail.com>
Cc: Jonathan Marsden <jmarsden@fastmail.fm>, 582090@bugs.debian.org, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Mon, 28 Nov 2011 19:56:46 +0100
[Message part 1 (text/plain, inline)]
Great thank you :)
I'll try to isolate the changes on gtkimageview copy (the remaining bugs
are certainly due to this difference). Many changes seem to be only due
to the rename, maybe the actual diff is not so big.

Regards,
Julien Lavergne

Le 11/27/2011 12:26 PM, Yao Wei a écrit :
>
> I forgot to mention that my modifications are in "gtkimageview" branch.
>
> https://github.com/medicalwei/Viewnior/tree/gtkimageview
>
> Sorry for your inconvenience.
> ----- 原始郵件 -----
> > Hi,
> >
> > I can't see any modifications from the upstream trunk. Did you push the
> > modifications to github ?
> >
> > Regards,
> > Julien Lavergne
> >
> > Le 11/25/2011 05:41 AM, Yao Wei a écrit :
> > >
> > > Actually I did a runable diff in Github: (but some zooming and mouse
> > > wheel won't work)
> > >
> > > http://github.com/medicalwei/viewnior
> > >
> > > ----- 原始郵件 -----
> > > > On 11/23/2011 07:02 AM, Julien Lavergne wrote:
> > > >
> > > > > Argh, bad news :(
> > > >
> > > >
> > > > Yes, it turns this from a technical issue (package the app, and
> make
> > > > sure it meets packaging standards) into a much more difficult
> "how to
> > > > keep everyone happy" political issue!
> > > >
> > > > > Do we have an idea of the actual diff between the 2 versions ?
> > > >
> > > >
> > > > I'll see if I can diff this over the coming weekend, unless someone
> > > else
> > > > does it first :)
> > > >
> > > > > Contacting gtkimageview upstream is a good idea, a backup plan
> may
> > > > > be to patch the package in Debian, but it's not a very nice
> > > > > solution :(
> > > >
> > > >
> > > > Another backup plan might be to create a "libviewnior" package with
> > > > the modified library in it, and then a viewnior package that
> depends
> > > > on it and uses it instead of gtkimageview??  But I don't know if
> > > > Debian would like/accept that as an approach.
> > > >
> > > > Jonathan
> > >
> >
>

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Sat, 17 Dec 2011 13:12:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Lavergne <julien.lavergne@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Sat, 17 Dec 2011 13:13:05 GMT) Full text and rfc822 format available.

Message #70 received at 582090@bugs.debian.org (full text, mbox):

From: Julien Lavergne <julien.lavergne@gmail.com>
To: Yao Wei <medicalwei@gmail.com>
Cc: Jonathan Marsden <jmarsden@fastmail.fm>, 582090@bugs.debian.org, 穎駿 劉 <paulliu@debian.org>
Subject: Re: Bug#582090: ITP: viewnior -- simple, fast and elegant image viewer
Date: Sat, 17 Dec 2011 13:11:41 +0100
[Message part 1 (text/plain, inline)]
I spend some time to analyze the diff between the 2 versions of
gtkimageview, and, even after removing the renaming diff, the changes
are not so trivial.

Considering that gtkimageview upstream was not modified since 1 year
(viewnor's author could probably include the last fixes himself) , and
that the version in viewnor is more than a copy/paste (patches,
renaming, and only a part of gtkimageview is forked), I don't think it's
so problematic to package it with the forked gtkimageview. Considering
the time we have to maintain viewnor, packaging a modified version will
probably end to an incomplete version, with some bugs we will not be
able to fix. I'm not sure it's a good solution for Debian to add this
type of application in the repositories.

Regards,
Julien Lavergne

Le 11/27/2011 12:26 PM, Yao Wei a écrit :
>
> I forgot to mention that my modifications are in "gtkimageview" branch.
>
> https://github.com/medicalwei/Viewnior/tree/gtkimageview
>
> Sorry for your inconvenience.
> ----- 原始郵件 -----
> > Hi,
> >
> > I can't see any modifications from the upstream trunk. Did you push the
> > modifications to github ?
> >
> > Regards,
> > Julien Lavergne
> >
> > Le 11/25/2011 05:41 AM, Yao Wei a écrit :
> > >
> > > Actually I did a runable diff in Github: (but some zooming and mouse
> > > wheel won't work)
> > >
> > > http://github.com/medicalwei/viewnior
> > >
> > > ----- 原始郵件 -----
> > > > On 11/23/2011 07:02 AM, Julien Lavergne wrote:
> > > >
> > > > > Argh, bad news :(
> > > >
> > > >
> > > > Yes, it turns this from a technical issue (package the app, and
> make
> > > > sure it meets packaging standards) into a much more difficult
> "how to
> > > > keep everyone happy" political issue!
> > > >
> > > > > Do we have an idea of the actual diff between the 2 versions ?
> > > >
> > > >
> > > > I'll see if I can diff this over the coming weekend, unless someone
> > > else
> > > > does it first :)
> > > >
> > > > > Contacting gtkimageview upstream is a good idea, a backup plan
> may
> > > > > be to patch the package in Debian, but it's not a very nice
> > > > > solution :(
> > > >
> > > >
> > > > Another backup plan might be to create a "libviewnior" package with
> > > > the modified library in it, and then a viewnior package that
> depends
> > > > on it and uses it instead of gtkimageview??  But I don't know if
> > > > Debian would like/accept that as an approach.
> > > >
> > > > Jonathan
> > >
> >
>

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>:
Bug#582090; Package wnpp. (Mon, 27 May 2013 14:11:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yao Wei (魏銘廷) <mwei@lxde.org>. (Mon, 27 May 2013 14:11:15 GMT) Full text and rfc822 format available.

Message #75 received at 582090@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 582090@bugs.debian.org
Cc: control@bugs.debian.org
Subject: viewnior: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 582090 RFP: viewnior -- simple, fast and elegant image viewer
noowner 582090
tag 582090 - pending
thanks

Hi,

This is an automatic email to change the status of viewnior back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting viewnior, please send a mail to
<control@bugs.debian.org> with:

 retitle 582090 ITP: viewnior -- simple, fast and elegant image viewer
 owner 582090 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <582090@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: viewnior -- simple, fast and elegant image viewer' from 'ITP: viewnior -- simple, fast and elegant image viewer' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:35:16 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Yao Wei (魏銘廷) <mwei@lxde.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 14:35:17 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: viewnior -- simple, fast and elegant image viewer' from 'RFP: viewnior -- simple, fast and elegant image viewer' Request was from Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl> to control@bugs.debian.org. (Fri, 07 Feb 2014 15:03:21 GMT) Full text and rfc822 format available.

Owner recorded as Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>. Request was from Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl> to control@bugs.debian.org. (Fri, 07 Feb 2014 15:03:22 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 582090: 738193 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Sat, 08 Feb 2014 16:30:31 GMT) Full text and rfc822 format available.

Reply sent to Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>:
You have taken responsibility. (Fri, 21 Feb 2014 12:03:10 GMT) Full text and rfc822 format available.

Notification sent to Kan-Ru Chen <koster@debian.org>:
Bug acknowledged by developer. (Fri, 21 Feb 2014 12:03:10 GMT) Full text and rfc822 format available.

Message #90 received at 582090-close@bugs.debian.org (full text, mbox):

From: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
To: 582090-close@bugs.debian.org
Subject: Bug#582090: fixed in viewnior 1.4-1
Date: Fri, 21 Feb 2014 12:00:07 +0000
Source: viewnior
Source-Version: 1.4-1

We believe that the bug you reported is fixed in the latest version of
viewnior, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 582090@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl> (supplier of updated viewnior package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 07 Feb 2014 13:03:56 +0100
Source: viewnior
Binary: viewnior
Architecture: source amd64
Version: 1.4-1
Distribution: unstable
Urgency: medium
Maintainer: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Changed-By: Dariusz Dwornikowski <dariusz.dwornikowski@cs.put.poznan.pl>
Description: 
 viewnior   - simple, fast and elegant image viewer
Closes: 582090
Changes: 
 viewnior (1.4-1) unstable; urgency=medium
 .
   * Initial release (Closes: #582090)
Checksums-Sha1: 
 51884cbb9386865ce362bd2fe388d6fc390c2701 1918 viewnior_1.4-1.dsc
 59562296850211db893e121d50b503b204cf104e 560284 viewnior_1.4.orig.tar.gz
 275ee9192b07e693d7293002ae6be92301f3b26e 3136 viewnior_1.4-1.debian.tar.xz
 ff34c391150101d18ddcbffa8ec8d88363d8843b 114844 viewnior_1.4-1_amd64.deb
Checksums-Sha256: 
 e5b2d200429bd0cb56fc999dc5b962572e1909211eb5d667790eb7c0487a228e 1918 viewnior_1.4-1.dsc
 71e4157e06d84a99b36634dca7eff9c8a92ea5f5c4ac43dd1b305b4456b18c04 560284 viewnior_1.4.orig.tar.gz
 c8357ee301454474d4acf515da16cca7cdeb79b0a0654183142b632749d51225 3136 viewnior_1.4-1.debian.tar.xz
 30380e6a637702714c88b935bb39f907750fe7b2ff8d0c4c82ebb70de429d426 114844 viewnior_1.4-1_amd64.deb
Files: 
 72a731da28918fc49289cb363fe99804 1918 graphics optional viewnior_1.4-1.dsc
 1fa678236c5c3538863f7d4fc6a2e9e5 560284 graphics optional viewnior_1.4.orig.tar.gz
 e5a01772ce9a2c45f992fda0c5fbd43a 3136 graphics optional viewnior_1.4-1.debian.tar.xz
 57409d5095b60f9e5df99540c3ec9842 114844 graphics optional viewnior_1.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJS/ornAAoJEJvS1kCaDFL68eQP/2T1mWCkEx54OVgt5HZY6iQU
/ct/yYrh43/JsFi7MDILU6xYr4fLpsosC1ZiAsDAlzAr9UGjVxqTJgBBiJGRxyrK
UfiZhR8c5MaRZWmSoaHbM+4UZKaWRLLw9Jp7KbUPSOly3sbYo+18c8/rnz1vRcpw
2sVCyXyl+ZdBEfelhlKDkTfwAUOSt88Liu2IQErXN57VaZqANsKZRVNXAVGTrko+
vJtV4kYXZaxrUgrux12wqdwooRWmJptF0iXbrisEdXpLD5ubHT/HC8yqHpcG6D4O
XMBQtBKKxuKpr56IQm4Ab33LSNUO+u4BcLkkuW3jnd8ODoCrn7zr9A//7ug8Zlki
0KPfxUmoayrjgpBX8XG32OgRgy1+gOnaO4q7ET8mPXs2KFqtNjgwWXY2P9+LvcNJ
HJWsgvas5jpdf2dEPochBNoaCTjdBLjib9eojSt09sWORRxEMLv6HrbUzR1Vo9Ml
d7cOaZwa9OSAXwPoH+/sc2KkHwO6obbTyJKZV5R/1WoJP0nTPW7ifkhcCUfm7hk6
ghMaOWsRBjFZLN/45U4EzJUzJSsaUpHJdrgb8ReI/BonUYWFHLJcVPGcPDaiSnoL
2mQl6xT/Vrcr9ikCiNCAlRVLUu/nzf6JzACozXaR7UWeZtu0xnGgagKEtmtamrmq
eSaeQ1fCLJjaMyBU0CK8
=Jx5R
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 22 Mar 2014 07:34:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:30:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.